<?php
/**
 * ownCloud
 *
 * @author Juan Pablo Villafañez Ramos <jvillafanez@owncloud.com>
 * @author Jesus Macias Portela <jesus@owncloud.com>
 * @copyright (C) 2014 ownCloud, Inc.
 *
 * This code is covered by the ownCloud Commercial License.
 *
 * You should have received a copy of the ownCloud Commercial License
 * along with this program. If not, see <https://owncloud.com/licenses/owncloud-commercial/>.
 *
 */
/** @var $this OC\Route\Router */

$this->create('wnd_ajax_activatePersonalMount', 'ajax/activateKey.php')
    ->actionInclude('windows_network_drive/ajax/activateKey.php');
$this->create('wnd_ajax_applicable', 'ajax/applicable.php')
    ->actionInclude('windows_network_drive/ajax/applicable.php');
$this->create('wnd_ajax_connectivityCheck', 'ajax/connectivityCheck.php')
    ->actionInclude('windows_network_drive/ajax/connectivityCheck.php');
$this->create('wnd_ajax_connectivityCheckGetMount', 'ajax/connectivityCheckGetMount.php')
    ->actionInclude('windows_network_drive/ajax/connectivityCheckGetMount.php');
$this->create('wnd_ajax_connectivityCheckOneOnly', 'ajax/connectivityCheckOneOnly.php')
    ->actionInclude('windows_network_drive/ajax/connectivityCheckOneOnly.php');
$this->create('wnd_ajax_deleteMountPoint', 'ajax/deleteMountPoint.php')
    ->actionInclude('windows_network_drive/ajax/deleteMountPoint.php');
$this->create('wnd_ajax_deletePersonalMountPoint', 'ajax/deletePersonalMountPoint.php')
    ->actionInclude('windows_network_drive/ajax/deletePersonalMountPoint.php');
$this->create('wnd_ajax_dialog', 'ajax/dialog.php')
    ->actionInclude('windows_network_drive/ajax/dialog.php');
$this->create('wnd_ajax_getMountPoint', 'ajax/getMountPoint.php')
    ->actionInclude('windows_network_drive/ajax/getMountPoint.php');
$this->create('wnd_ajax_getMountPointForUser', 'ajax/getMountPointForUser.php')
    ->actionInclude('windows_network_drive/ajax/getMountPointForUser.php');
$this->create('wnd_ajax_saveCredential', 'ajax/saveCredential.php')
    ->actionInclude('windows_network_drive/ajax/saveCredential.php');
$this->create('wnd_ajax_saveGlobalCredentials', 'ajax/saveGlobalCredentials.php')
    ->actionInclude('windows_network_drive/ajax/saveGlobalCredentials.php');
$this->create('wnd_ajax_saveMountPoint', 'ajax/saveMountPoint.php')
    ->actionInclude('windows_network_drive/ajax/saveMountPoint.php');
$this->create('wnd_ajax_savePersonalMountPoint', 'ajax/savePersonalMountPoint.php')
    ->actionInclude('windows_network_drive/ajax/savePersonalMountPoint.php');
$this->create('wnd_ajax_updateMountPoint', 'ajax/updateMountPoint.php')
    ->actionInclude('windows_network_drive/ajax/updateMountPoint.php');
$this->create('wnd_ajax_updatePersonalMountPoint', 'ajax/updatePersonalMountPoint.php')
    ->actionInclude('windows_network_drive/ajax/updatePersonalMountPoint.php');

$this->create('wnd_jsTemplate', 'jsTemplate.php')
    ->actionInclude('windows_network_drive/jsTemplate.php');

OC_API::register('get',
        '/apps/windows_network_drive/api/v1/mounts',
        array('\OCA\windows_network_drive\lib\WNDUtils', 'getMountsForApi'),
        'windows_network_drive');
