ownCloud Acceptance Tests
=========================

To run with ownCloud in docker, see docker.md

Setup
-----

Install node.js and run the following commands to install the dependencies
in folder tests/acceptance

```
npm install
```

Install the webdriver
```
./node_modules/protractor/bin/webdriver-manager update
```

Install protractor as global command ( optional )
```
npm install -g protractor
```

Run
---

Run the tests with protractor
```
protractor protractor_conf.js --params.baseUrl="http://127.0.0.1/owncloud/"
```

Please ensure to have a "/" at then end of the baseUrl.

After installation tests should run without the "First Run Wizard" app because of timing issues.
Disable the app on the server with 

```
php occ app:disable firstrunwizard
```

Further params are provided, find them in protractor_conf.js