<?php
/**
 * ownCloud
 *
 * @author Tom Needham <tom@owncloud.com>
 * @author Lukas Reschke <lukas@owncloud.com>
 * @copyright (C) 2015 ownCloud, Inc.
 *
 * This code is covered by the ownCloud Commercial License.
 *
 * You should have received a copy of the ownCloud Commercial License
 * along with this program. If not, see <https://owncloud.com/licenses/owncloud-commercial/>.
 *
 */

namespace OCA\Files_Drop\AppInfo;

use \OCP\App;
use \OCP\Util;

if(!App::isEnabled('enterprise_key') && !getenv('TRAVIS')) {
	// Enable accidentally disabled license app. Can happen during upgrade.
	Util::writeLog('files_drop', 'Enabling Enterprise license app which was deactivated.', Util::ERROR);
	\OC::$server->getAppManager()->enableApp('enterprise_key');
} else {
	App::registerPersonal('files_drop', 'settings');
}

