<?php
/**
 * ownCloud
 *
 * @author Juan Pablo Villafañez Ramos <jvillafanez@owncloud.com>
 * @author Jesus Macias Portela <jesus@owncloud.com>
 * @copyright (C) 2014 ownCloud, Inc.
 *
 * This code is covered by the ownCloud Commercial License.
 *
 * You should have received a copy of the ownCloud Commercial License
 * along with this program. If not, see <https://owncloud.com/licenses/owncloud-commercial/>.
 *
 */
?>
<div id="WNDadmin" class="section">
    <h2><?php p($l->t('Windows Network Drive'));?></h2>
    <div class="warning">
    <?php if (strtoupper(substr(php_uname('s'), 0, 3)) === 'WIN'): ?>
        <p><?php p($l->t('The Windows network drive application is not supported on Windows Servers')); ?></p>
    <?php elseif (!function_exists('smbclient_state_new')): ?>
        <p><?php p($l->t('The Windows network drive application cannot locate the libsmbclient or php-libsmbclient libraries. Please ensure these libraries are properly installed and accessible by PHP')); ?></p>
    <?php endif; ?>
    </div>
</div>
